%global momorel 1

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?pyver: %define pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

%define module turbojson

Name:           python-turbojson
Version:        1.1.2
Release:        %{momorel}m%{?dist}
Summary:        Python template plugin that supports json

Group:          Development/Languages
License:        MIT
URL:            http://cheeseshop.python.org/pypi/TurboJson
Source0:        http://pypi.python.org/packages/source/T/TurboJson/TurboJson-%{version}.tar.gz
NoSource:       0
# Backport of upstream patch to fix SQLAlchemy support::
# http://trac.turbogears.org/changeset/3749?format=diff&new=3749
Patch0:         python-turbojson-SAfix-r3749.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires: python-devel
BuildRequires: python-setuptools-devel

%description
This package provides a template engine plugin, allowing you
to easily use Json with TurboGears, Buffet or other systems
that support python.templating.engines.


%prep
%setup -q -n TurboJson-%{version}
%patch0 -p0

%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root=%{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{python_sitelib}/%{module}/
%{python_sitelib}/TurboJson-%{version}-py%{pyver}.egg-info/


%changelog
* Fri Apr 25 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (1.1.2-1m)
- version up 1.1.2
- sync Fedora

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.9-2m)
- rebuild against gcc43

* Sun Jun 17 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.9.9-1m)
- import from Fedora

* Fri Dec  8 2006 Luke Macken <lmacken@redhat.com> 0.9.9-3
- Rebuild for new python

* Fri Oct  6 2006 Luke Macken <lmacken@redhat.com> 0.9.9-2
- Update source url

* Mon Sep 25 2006 Luke Macken <lmacken@redhat.com> 0.9.9-1
- 0.9.9
- Rename to python-turbojson
- Own the %%{python_sitelib/turbojson directory
- Install the EGG-INFO

* Sat Sep 16 2006 Luke Macken <lmacken@redhat.com> 0.9.8-1
- Initial creation
